Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
EBUILDS+HOWTO: installation of Catalyst Framework 5.80029
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next  
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks
View previous topic :: View next topic  
Author Message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Mon Jun 16, 2008 7:09 am    Post subject: Reply with quote

Hi!

icce wrote:
Would it be possible to add Catalyst-Model-HTML-FormFu to this overlay? I cannot seem to find it.


I just added it.

BTW it's too bad the HTML::FormFu dist on CPAN is so outdated, but that should change within a few days. :-)

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
icce
n00b
n00b


Joined: 15 Jun 2008
Posts: 2

PostPosted: Mon Jun 16, 2008 8:22 am    Post subject: Reply with quote

LordArthas wrote:


icce wrote:
Would it be possible to add Catalyst-Model-HTML-FormFu to this overlay? I cannot seem to find it.


I just added it.


Thanks a lot :)

LordArthas wrote:

BTW it's too bad the HTML::FormFu dist on CPAN is so outdated, but that should change within a few days. :-)

M.


Yeah, I noticed it hadn't been updated for a while...
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Jun 25, 2008 6:55 am    Post subject: Reply with quote

Hi!

icce wrote:
Yeah, I noticed it hadn't been updated for a while...


HTML::FormFu was finally updated on CPAN - and on ebuilds of course. ;)

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Tue Dec 09, 2008 11:12 pm    Post subject: Reply with quote

Hi!

Just a quick update to let everybody know that the Catalyst ebuilds in the overlay are being constantly updated and expanded with new ones.

We now have the MojoMojo Catalyst-based wiki and all dependencies, as well as Catamoose (hard masked).

Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Sat Jan 10, 2009 11:16 am    Post subject: Reply with quote

Now that the Gentoo Wiki is back, I've been able to restore the Catalyst framework howto on it:

http://en.gentoo-wiki.com/wiki/Catalyst_Framework

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Sixtease
n00b
n00b


Joined: 31 Oct 2004
Posts: 13
Location: Prague, Czech Republic

PostPosted: Tue Jan 27, 2009 7:50 pm    Post subject: Reply with quote

Hello everybody. I have just followed the gentoo-wiki howto for catalyst framework and I got stuck on emerging dev-perl/catalystframework. This is what I give and get:
Code:
emerge dev-perl/catalystframework
emerge: there are no ebuilds to satisfy "dev-perl/catalystframework".

I have a slight notion this could have something to do with the fact that the installation uses the profile default/linux/amd64/2008.0/server, which gives me warnings on every emerge.

The perl-experimental overlay's been checked out OK,
the /usr/portage/local/layman/perl-experimental/dev-perl/catalystframework/ contains expected files (metadata, manifest and ebuilds),
the /usr/portage/package.keywords contains the line dev-perl/catalystframework ~amd64.

Any ideas?
Back to top
View user's profile Send private message
Sixtease
n00b
n00b


Joined: 31 Oct 2004
Posts: 13
Location: Prague, Czech Republic

PostPosted: Wed Jan 28, 2009 12:02 pm    Post subject: Reply with quote

OK, I've just run
Code:
cpan Task::Catalyst
and it did the job. I still don't know why emerge would not work but this got me there.
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Mon Feb 23, 2009 3:40 pm    Post subject: Reply with quote

Hi!

Sixtease wrote:
OK, I've just run
Code:
cpan Task::Catalyst
and it did the job. I still don't know why emerge would not work but this got me there.


Quite weird it didn't work. The method you used is fine, but does not use ebuilds so it might mess the system up a bit... ;)

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Fri Feb 27, 2009 9:19 am    Post subject: Reply with quote

Hi!

The catalystframework meta-ebuild has been removed, mainly because it was useless and just emerged Task-Catalyst.

Some folks (and I'm trying to help) are working on a project to easily provide almost the whole CPAN to Gentoo users, but it might take a long time. In the meanwhile, these ebuilds will continue to be updated.

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
sera
Developer
Developer


Joined: 29 Feb 2008
Posts: 1012
Location: CET

PostPosted: Mon Mar 16, 2009 10:57 am    Post subject: Reply with quote

Quote:
Some folks (and I'm trying to help) are working on a project to easily provide almost the whole CPAN to Gentoo users, but it might take a long time. In the meanwhile, these ebuilds will continue to be updated.


Sounds very nice. Any more detailed vision to share?
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Thu Mar 19, 2009 11:48 am    Post subject: Reply with quote

Hi!

sera wrote:
Sounds very nice. Any more detailed vision to share?


It's still sort of a project which is trying to born. if you're interested in how this and the Gentoo Perl situation in general is evolving, I suggest you lurk #gentoo-perl on FreeNode.

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Thu Mar 19, 2009 11:51 am    Post subject: Reply with quote

The repository was switched from svn to git. See first post of this thread for details.

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Sun Apr 19, 2009 12:21 pm    Post subject: Reply with quote

Ebuild for Moose-based 5.80001 version of Catalyst-Runtime are now available.

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Sun Jul 05, 2009 10:46 am    Post subject: Reply with quote

5.80007 is now available.

BTW, DBIx-Class is in mainstream Portage now!!!

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Octopus
n00b
n00b


Joined: 01 Dec 2004
Posts: 4

PostPosted: Sun Aug 16, 2009 6:13 pm    Post subject: >=dev-lang/perl-5.10 Reply with quote

Hi

I followed the guide step by step, but I had to unmask 3 more packages:
Code:
dev-perl/Sub-Install ~x86
dev-perl/MRO-Compat ~x86
dev-perl/Class-C3 ~x86


And than I got stuck on perl-5.10 which is hardmasked. Is there a way to aviod installing it?
Code:
!!! All ebuilds that could satisfy ">=dev-lang/perl-5.10" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-lang/perl-5.10.0-r2 (masked by: package.mask)
- dev-lang/perl-5.10.0-r1 (masked by: package.mask)
- dev-lang/perl-5.10.0 (masked by: package.mask)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
(dependency required by "dev-perl/Class-C3-0.21" [ebuild])
(dependency required by "dev-perl/MRO-Compat-0.11" [ebuild])
(dependency required by "dev-perl/Catalyst-Log-Log4perl-1.03" [ebuild])
(dependency required by "dev-perl/Task-Catalyst-3.0000-r1" [ebuild])
(dependency required by "Task-Catalyst" [argument])
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Mon Aug 17, 2009 6:57 am    Post subject: Re: >=dev-lang/perl-5.10 Reply with quote

Hi!

Octopus wrote:
I followed the guide step by step, but I had to unmask 3 more packages:


The list of packages to unmask changes as depenencies of newer versions of packages change, so this can happen.

Quote:
And than I got stuck on perl-5.10 which is hardmasked. Is there a way to aviod installing it?
Code:
!!! All ebuilds that could satisfy ">=dev-lang/perl-5.10" have been masked.
!!! One of the following masked packages is required to complete your request:


Perl 5.10 isn't needed (and it's better you not install it unless you want to do some testing; join #gentoo-per Freenode channel in such case).
However, some ebuilds (such as Class-C3) have a dependency such as this:

Code:

RDEPEND="
        || ( >=dev-lang/perl-5.10
                >=dev-perl/Class-C3-XS-0.07 )"


Just emerge Class-C3-XS and you should be fine. This can happen for other ebuilds through the installation process.

Can you please report your experience here when you're finished installing, so that we can improve the HOWTO?

Thanks,
Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Octopus
n00b
n00b


Joined: 01 Dec 2004
Posts: 4

PostPosted: Thu Aug 27, 2009 7:51 pm    Post subject: Re: >=dev-lang/perl-5.10 Reply with quote

LordArthas wrote:
Hi!
...
Perl 5.10 isn't needed (and it's better you not install it unless you want to do some testing; join #gentoo-per Freenode channel in such case).
However, some ebuilds (such as Class-C3) have a dependency such as this:

Code:

RDEPEND="
        || ( >=dev-lang/perl-5.10
                >=dev-perl/Class-C3-XS-0.07 )"


Just emerge Class-C3-XS and you should be fine. This can happen for other ebuilds through the installation process.
...


How did you figure out the dependency? I mean what was the command?
Now I have the same situation with DBIx-Class:
Code:

emerge: there are no ebuilds to satisfy "~dev-lang/perl-5.10.1".
(dependency required by "dev-perl/DBIx-Class-0.08109" [ebuild])
(dependency required by "dev-perl/Catalyst-Authentication-Store-DBIx-Class-0.1082" [ebuild])
(dependency required by "dev-perl/Task-Catalyst-3.0000-r1" [ebuild])
(dependency required by "Task-Catalyst" [argument])
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Fri Aug 28, 2009 10:51 am    Post subject: Re: >=dev-lang/perl-5.10 Reply with quote

Hello!

Octopus wrote:

How did you figure out the dependency? I mean what was the command?


You can just take a look at the ebuild:

# less /usr/portage/dev-perl/DBIx-Class/DBIx-Class-0.08109.ebuild

DBIx-Class doesn't, however, seems to depend on dev-lang/perl at all.

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Octopus
n00b
n00b


Joined: 01 Dec 2004
Posts: 4

PostPosted: Sat Sep 05, 2009 4:13 pm    Post subject: Reply with quote

I had to mask >=virtual/perl-File-Temp-0.22.
Now everything is okay.

thank you.
Back to top
View user's profile Send private message
alexdu
n00b
n00b


Joined: 25 Oct 2005
Posts: 38
Location: Moscow, Russia

PostPosted: Tue Sep 29, 2009 10:07 am    Post subject: Reply with quote

Hi to all:)

Octopus wrote:
I had to mask >=virtual/perl-File-Temp-0.22.
Now everything is okay.
I have another story...
For some reason emerge doesn't understand a notation, for example like:
Code:
RDEPEND="|| ( ~dev-lang/perl-5.10.1 ~perl-core/AutoLoader-${PV} )"

but works fine with, for example:
Code:
RDEPEND="~perl-core/Module-CoreList-${PV}"

So, for some virtual/perl-<something> modules (3 or 4) I had to unmask manually appropriate perl-core/<something>...

I don't know - is it a bug or a feature or whatever.
Here is my portage info:
Code:
$ emerge --info
Portage 2.1.6.13 (default/linux/x86/2008.0/desktop, gcc-4.4.1, glibc-2.9_p20081201-r2, 2.6.30.5 i686)
=================================================================
System uname: Linux-2.6.30.5-i686-Intel-R-_Core-TM-2_Duo_CPU_L7100_@_1.20GHz-with-gentoo-1.12.11.1
Timestamp of tree: Tue, 29 Sep 2009 05:45:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -g0"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe -g0"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles/ ftp://mirror.yandex.ru/gentoo-distfiles/ http://gentoo.tups.lv/source/ http://213.186.33.37/gentoo-distfiles/ ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://gentoo.mneisen.org/ http://ftp.fi.muni.cz/pub/linux/gentoo/ http://de-mirror.org/distro/gentoo/"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en ru en_GB ru_RU en_EN en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/perl-experimental"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7zip X a52 aac aalib acl acpi additions alisp alsa amr amrnb amrwb apache2 archive asf ass audiofile bash-completion berkdb bitmap-fonts bluetooth branding browserplugin bzip2 cairo cdda cdr cgi cgraph chdir cli colordiff cracklib crypt ctype cups curl cursors cxx dbase dbm dbus dbx deskbar device-mapper dga disk-partition divx djvu dlloader doc dri dts dv dvd dvdr dxr2 dynagraph emboss enca encode epoll erandom esd exif fam fame fastcgi fat fbcon fbcondecor fbsplash ffmpeg fftw filepicker firefox flac flash flatfile fontforge fortran gb gd gdbm gif gimp gimpprint git glade glibc-omitfp gmedia gnome gnome-keyring gphoto2 gpm graphviz gstreamer gtk gtk2 guile hal hdri hfs http httpd i8x0 iconv icq id3 id3tag imagemagick imap imlib inherit-graph innodb ipod ipw4965 isdnlog ithreads javacomm javamail javascript jfs jpeg jpeg2k kde keyring lame laptop lcms libcaca libedit libgda libnotify libsamplerate libvisual libwww live lm_sensors logrotate lzo lzw mad mailwrapper matroska matrox mikmod mime mjpeg mmtext mmx mmxext mng modperl modules mozcalendar mozdevelop moznocompose moznoirc moznoroaming mozsvg mozxmlterm mp2 mp3 mp4 mp4live mpeg mplayer mudflap musepack musicbrainz mysql ncurses network networking new-login nls no-htdocs nptl nptlonly ntfs odbc offensive ogg opengl openmp pam pango pch pcre pdf perl php png posix ppds pppd python q32 q8 qt3 qt3support qt4 quicktime quote readline realmedia reflection regex reiser4 reiserfs rle samba scanner sdl seamonkey session shared sharedmem slang sndfile sockets socks5 sourceview speex spell spl sqlite sqlite3 sse sse2 sse3 ssl ssse3 startup-notification stream subversion svg svgz symlink sysfs sysvipc szip taglib tagwriting theora threads thunar tidy tiff tokenizer tracker truetype truetype-fonts type1-fonts udev unicode usb userlocales v4l v4l2 valgrind vcd vhosts vidix vlm vorbis wifi win32codecs wma wmf wmp wps wxwindows x264 x86 xanim xforms xfs xine xml xorg xosd xpm xsl xulrunner xv xvid xvmc zlib" ALSA_CARDS="hda-intel mpu401 intel8x0" ALSA_PCM_PLUGINS="*" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="mouse keyboard evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en ru en_GB ru_RU en_EN en_US" SANE_BACKENDS="hp hp3900" USERLAND="GNU" VIDEO_CARDS="intel"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


* * *

LordArthas wrote:
Can you please report your experience here when you're finished installing, so that we can improve the HOWTO?

My story.

I used catalystframework ebuild a time ago (as everybody does I guess). Then I stopped use it for some time and started to use it again recently. But with "new" Task-Catalyst, sure. I had to unmask a lot of packages, but after all it was installed. I also gave some hints to my friend how to install it. But he reported "I couldn't install it". I was very surprised and I tried to find out why...

I did:
Code:
# emerge -C dev-perl/Task-Catalyst  dev-perl/Catalyst-Runtime dev-perl/Catalyst-Manual
# emerge -C dev-perl/catalystframework
# emerge --depclean
....
Packages installed:   1310
Packages in world:    224
Packages in system:   51
Required packages:    1095
Number removed:       215

then from wiki:
Code:
# ls -1 /usr/portage/local/layman/perl-experimental/dev-perl/ | awk '{ print "dev-perl/" $1 " ~x86"}' >> /etc/portage/package.keywords

it didn't install, then a had to unmask the next list
Code:
# cat Task-Catalyst-3.0000-r1
=dev-perl/PAR-0.994
=dev-perl/Module-Install-0.91
=dev-perl/FCGI-ProcManager-0.19
=dev-perl/Sub-Install-0.925
=dev-perl/MRO-Compat-0.11
=dev-perl/Data-Dump-1.15
=dev-perl/Class-C3-0.21
=dev-perl/namespace-clean-0.11
#=dev-perl/Moose-0.89
=dev-perl/Sub-Exporter-0.982
#=dev-perl/Class-MOP-0.92
=dev-perl/Sub-Name-0.04
=dev-perl/Data-OptList-0.104
=dev-perl/Devel-GlobalDestruction-0.02
=dev-perl/Scope-Guard-0.03
=dev-perl/Sub-Identify-0.04
=dev-perl/B-Hooks-EndOfScope-0.08
=dev-perl/Variable-Magic-0.37
=dev-perl/Moose-0.90
=dev-perl/Class-MOP-0.93
=dev-perl/Try-Tiny-0.02
=dev-perl/MooseX-Types-0.20
=dev-perl/Carp-Clan-6.00
=dev-perl/B-Hooks-OP-Check-0.18
=virtual/perl-parent-0.221
=perl-core/parent-0.221
=dev-perl/DBIx-Class-0.08111
=dev-perl/Class-Accessor-Grouped-0.09000
=dev-perl/JSON-Any-1.21
=dev-perl/SQL-Abstract-1.58
=dev-perl/DBD-SQLite-1.25
=dev-perl/SQL-Abstract-Limit-0.14.1-r1
=dev-perl/Class-C3-Componentised-1.0005
=virtual/perl-File-Temp-0.22
=perl-core/File-Temp-0.22
=dev-perl/Data-Page-2.01
=dev-perl/Module-Find-0.06
=dev-perl/Class-Inspector-1.24
=dev-perl/DBI-1.609
=dev-perl/Class-Accessor-Chained-0.01
=dev-perl/JSON-2.15
=virtual/perl-Module-Build-0.32
=perl-core/Module-Build-0.32
=virtual/perl-Test-Harness-3.16
=perl-core/Test-Harness-3.16
=dev-perl/URI-Find-20090319
=virtual/perl-Module-Build-0.33
=perl-core/Module-Build-0.33
=dev-perl/Config-Any-0.17
=dev-perl/File-ShareDir-1.00
=dev-perl/DateTime-Format-Builder-0.7901
=dev-perl/DateTime-Format-Strptime-1.1000
=dev-perl/DateTime-Format-Natural-0.78
=dev-perl/boolean-0.20
=dev-perl/DateTime-TimeZone-0.96
=dev-perl/Params-Validate-0.91
=virtual/perl-Module-Build-0.34
=perl-core/Module-Build-0.34
=dev-perl/Test-use-ok-0.02
=dev-perl/Module-ScanDeps-0.94
=dev-perl/File-Remove-1.42
=dev-perl/YAML-Tiny-1.40
=virtual/perl-Parse-CPAN-Meta-1.39
=perl-core/Parse-CPAN-Meta-1.39
=virtual/perl-Module-CoreList-2.17
=perl-core/Module-CoreList-2.17
=virtual/perl-Archive-Tar-1.46
=perl-core/Archive-Tar-1.46
=virtual/perl-AutoLoader-5.68
# example
=perl-core/AutoLoader-5.68
=dev-perl/CGI-FormBuilder-3.0501
=dev-perl/Devel-Caller-2.03
=dev-perl/PadWalker-1.5

...but with some issues:
- install dev-perl/Class-C3-XS to skip perl-5.10
- some manual virtual/perl unmask; described above

finally,
Code:
emerge -uDvtp Task-Catalyst
...
Total: 249 packages (4 upgrades, 245 new), Size of downloads: 4,881 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/portage/local/layman/perl-experimental
... and it is installed! :D

Sorry for a such long message, but I guess, I don't use a kind of aggressive system configuration (may be except, "--as-needed", but optimization is low - "-O2" and it looks like gcc-4.4 much stable, than gcc-4.3; and not more then a dozen packages unmasked at packages.keywords, excluding Catalyst), so I guess someone might have a lot of obsolete packages from a previous Catalyst ebuild which, for some reasons, could be ignored by portage system and make terrible mess...

PS
There are two things that helped me much:
1. script for automatic unmasking, you can take it here: http://ds3k.wordpress.com/2008/10/26/unmask-packages-in-gentoo/, and change head to tail
2. eix | grep "\[D\]"
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Mon Dec 14, 2009 3:02 pm    Post subject: Reply with quote

Hello!

Catalyst version 5.80016 is now in the overlay.

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Thu Apr 01, 2010 2:32 pm    Post subject: Reply with quote

Bumped to Catalyst 5.80022
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
dmmedia
n00b
n00b


Joined: 13 Nov 2005
Posts: 7

PostPosted: Wed Apr 14, 2010 7:07 pm    Post subject: Reply with quote

autobox package seems to be in need of update

Quote:

>>> Downloading 'http://distfiles.gentoo.org/distfiles/autobox-2.55.tar.gz'
--2010-04-14 22:01:17-- http://distfiles.gentoo.org/distfiles/autobox-2.55.tar.gz
Resolving cache.elion.ee... 194.126.101.132
Connecting to cache.elion.ee|194.126.101.132|:3128... connected.
Proxy request sent, awaiting response... 404 Not Found
2010-04-14 22:01:17 ERROR 404: Not Found.

>>> Downloading 'http://www.ibiblio.org/pub/Linux/distributions/gentoo/distfiles/autobox-2.55.tar.gz'
--2010-04-14 22:01:17-- http://www.ibiblio.org/pub/Linux/distributions/gentoo/distfiles/autobox-2.55.tar.gz
Resolving cache.elion.ee... 194.126.101.132
Connecting to cache.elion.ee|194.126.101.132|:3128... connected.
Proxy request sent, awaiting response... 301 Moved Permanently
Location: http://distro.ibiblio.org/pub/linux/distributions/gentoo/distfiles/autobox-2.55.tar.gz [following]
--2010-04-14 22:01:17-- http://distro.ibiblio.org/pub/linux/distributions/gentoo/distfiles/autobox-2.55.tar.gz
Connecting to cache.elion.ee|194.126.101.132|:3128... connected.
Proxy request sent, awaiting response... 404 Not Found
2010-04-14 22:01:17 ERROR 404: Not Found.

>>> Downloading 'http://www.cpan.org/authors/id/C/CH/CHOCOLATE/autobox-2.55.tar.gz'
--2010-04-14 22:01:17-- http://www.cpan.org/authors/id/C/CH/CHOCOLATE/autobox-2.55.tar.gz
Resolving cache.elion.ee... 194.126.101.132
Connecting to cache.elion.ee|194.126.101.132|:3128... connected.
Proxy request sent, awaiting response... 404 Not Found
2010-04-14 22:01:17 ERROR 404: Not Found.

>>> Downloading 'http://search.cpan.org/CPAN/authors/id/C/CH/CHOCOLATE/autobox-2.55.tar.gz'
--2010-04-14 22:01:17-- http://search.cpan.org/CPAN/authors/id/C/CH/CHOCOLATE/autobox-2.55.tar.gz
Resolving cache.elion.ee... 194.126.101.132
Connecting to cache.elion.ee|194.126.101.132|:3128... connected.
Proxy request sent, awaiting response... 302 Moved Temporarily
Location: http://kvin.lv/pub/CPAN/authors/id/C/CH/CHOCOLATE/autobox-2.55.tar.gz [following]
--2010-04-14 22:01:18-- http://kvin.lv/pub/CPAN/authors/id/C/CH/CHOCOLATE/autobox-2.55.tar.gz
Connecting to cache.elion.ee|194.126.101.132|:3128... connected.
Proxy request sent, awaiting response... 404 Not Found
2010-04-14 22:01:18 ERROR 404: Not Found.

!!! Couldn't download 'autobox-2.55.tar.gz'. Aborting.
* Fetch failed for 'dev-perl/autobox-2.55', Log file:
* '/var/tmp/portage/dev-perl/autobox-2.55/temp/build.log'

>>> Failed to emerge dev-perl/autobox-2.55, Log file:

>>> '/var/tmp/portage/dev-perl/autobox-2.55/temp/build.log'
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Apr 14, 2010 10:10 pm    Post subject: Reply with quote

Hi!

dmmedia wrote:
autobox package seems to be in need of update


Bumped to 2.70.

Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
dmmedia
n00b
n00b


Joined: 13 Nov 2005
Posts: 7

PostPosted: Thu Apr 15, 2010 10:50 am    Post subject: Reply with quote

LordArthas wrote:

Bumped to 2.70.


Thanks, got a bit further with installation.

Now dev-perl/MooseX-Types-Common-0.001001 requires update also.

I start to think, that using cpan tool is easier than maintaining extra overlay for Gentoo.

The result is the same. One can install and uninstall and update packages with both cpan and emerge tools.
Only difference I can see is using 1 extra tool (layman) with portage system or cpan with CPAN archive.

Any suggestions?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next
Page 8 of 9

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum